apiVersion: apps/v1
kind: Deployment
metadata:
  name: [name]-app-apm
  namespace: dev
  labels:
    app: [name]-app-apm
    tags.datadoghq.com/env: dev
    tags.datadoghq.com/service: [name]-app-apm
    tags.datadoghq.com/version: 1.0.0
spec:
  replicas: 1
  selector:
    matchLabels:
      app: [name]-app-apm
  template:
    metadata:
      labels:
        admission.datadoghq.com/enabled: 'true'
        app: [name]-app-apm
        tags.datadoghq.com/env: dev
        tags.datadoghq.com/service: [name]-app-apm
        tags.datadoghq.com/version: 1.0.0
      annotations:
        admission.datadoghq.com/js-lib.version: latest
    spec:
      containers:
        - name: [name]-app-apm
          image: swr.ap-southeast-2.myhuaweicloud.com/princhealth/[name]-app-apm:latest
          env:
            - name: ECHO_MSG
              valueFrom:
                secretKeyRef:
                  name: [name]-app-apm
                  key: ECHO_MSG
      imagePullSecrets:
        - name: default-secret
